%define _optlevel 3

Name: libzip
Version: 0.9
Release: alt2
Summary: C library for reading, creating, and modifying zip archives

Group: System/Libraries
License: BSD
Url: http://www.nih.at/libzip/index.html

Source0: http://www.nih.at/libzip/%name-%version.tar.bz2
Source1: libzip.map
Patch1: libzip-0.9-alt-versioning.patch

BuildRequires: gcc-c++ zlib-devel

%description
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.


%prep
%setup -q
install %SOURCE1 lib/libzip.map
%patch1 -p1
autoreconf -fisv


%build
%configure \
    --disable-static \
    --enable-shared \
    --includedir=%_includedir/%name

%make_build


%install
%make DESTDIR=%buildroot install


%post
%post_ldconfig
%postun
%postun_ldconfig


%files
%doc AUTHORS NEWS README THANKS TODO
%_bindir/*
%_libdir/*.so.*
%_man1dir/*zip*

%files devel
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/%name/
%_man3dir/*zip*

%changelog
* Mon Sep 15 2008 Sergey V Turchin <zerg at altlinux dot org> 0.9-alt2
- add versioning

* Mon Sep 15 2008 Sergey V Turchin <zerg at altlinux dot org> 0.9-alt1
- new version

* Mon Mar 24 2008 Sergey V Turchin <zerg at altlinux dot org> 0.8-alt1
- initial specfile
